DNAME(8)

NAME
dname - print RFS domain and network names

SYNOPSIS
dname [ -adn ] [ -D domain ] [ -N netspec ]

AVAILABILITY

This program is available with the RFS software installation option. Refer to for information on how to install optional software.

DESCRIPTION

dname prints or defines a host's Remote File Sharing (RFS) domain name or the network used by RFS as transport provider.

When dname is used to change a domain name, the host's password is removed. The administrator will be prompted for a new password the next time RFS is started. See rfstart(8).

If dname is used with no options, it defaults to `dname -d'.

You cannot use the -D or -N options while RFS is running.

OPTIONS

-a  Print both the domain name and network name.

-d  Print the domain name.

-n  Print the network name.

-D domain
    Set the domain name for the host. domain must consist of no more than 14 characters, consisting of any combination of letters (upper and lower case), digits, hyphens (-), and underscores (_). This option is restricted to the super-user.

-N netspec
    Set the network specification used for RFS. netspec is the network device name, relative to the /dev directory. For example, the TCP transport device, /dev/tcp uses tcp. This option is restricted to the super-user.

SEE ALSO
rfstart(8)

NOTES

This domain name is not related to the Network Information Service (NIS) domain name. Note: NIS was formerly known as Sun Yellow Pages (YP). The functionality of the two remains the same; only the name has changed.